org.hibernate.search.elasticsearch.client.impl

## Interface Paths

-     public interface Paths

  Useful paths to compose Elasticsearch URLs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static URLEncodedString` | `_BULK`
    `static URLEncodedString` | `_CLOSE`
    `static URLEncodedString` | `_CLUSTER`
    `static URLEncodedString` | `_COUNT`
    `static URLEncodedString` | `_DELETE_BY_QUERY`
    `static URLEncodedString` | `_EXPLAIN`
    `static URLEncodedString` | `_FLUSH`
    `static URLEncodedString` | `_FORCEMERGE`
    `static URLEncodedString` | `_MAPPING`
    `static URLEncodedString` | `_OPEN`
    `static URLEncodedString` | `_OPTIMIZE`
    `static URLEncodedString` | `_QUERY`
    `static URLEncodedString` | `_REFRESH`
    `static URLEncodedString` | `_SEARCH`
    `static URLEncodedString` | `_SETTINGS`
    `static URLEncodedString` | `_TEMPLATE`
    `static URLEncodedString` | `HEALTH`
    `static URLEncodedString` | `SCROLL`

- - ### Field Detail

    - #### _EXPLAIN

          static final URLEncodedString _EXPLAIN

    - #### _QUERY

          static final URLEncodedString _QUERY

    - #### _FLUSH

          static final URLEncodedString _FLUSH

    - #### _OPTIMIZE

          static final URLEncodedString _OPTIMIZE

    - #### _DELETE_BY_QUERY

          static final URLEncodedString _DELETE_BY_QUERY

    - #### _FORCEMERGE

          static final URLEncodedString _FORCEMERGE

    - #### _COUNT

          static final URLEncodedString _COUNT

    - #### _CLOSE

          static final URLEncodedString _CLOSE

    - #### _SETTINGS

          static final URLEncodedString _SETTINGS

    - #### _OPEN

          static final URLEncodedString _OPEN

    - #### _MAPPING

          static final URLEncodedString _MAPPING

    - #### _REFRESH

          static final URLEncodedString _REFRESH

    - #### _SEARCH

          static final URLEncodedString _SEARCH

    - #### _TEMPLATE

          static final URLEncodedString _TEMPLATE

    - #### _CLUSTER

          static final URLEncodedString _CLUSTER

    - #### _BULK

          static final URLEncodedString _BULK

    - #### SCROLL

          static final URLEncodedString SCROLL

    - #### HEALTH

          static final URLEncodedString HEALTH

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved